public enum Edge { Wall, Door, None}


static class EdgeHelpers
{

    public static string GetString(this Edge s1)
    {
        switch (s1)
        {
            case Edge.None:
                return " ";
            case Edge.Wall:
                return "■";
            case Edge.Door:
                return "·";
            default:
                throw new System.Exception("invalid enum");
        }
    }
}